searchData={"items":[{"type":"module","title":"SpellChecker","doc":"The `SpellChecker` module is designed to check the correctness of words against a predefined word list and provide suggestions for incorrect words.","ref":"SpellChecker.html"},{"type":"module","title":"Functions - SpellChecker","doc":"`is_correct?/2`\n`is_correct/1`\n`is_correct!/2`","ref":"SpellChecker.html#module-functions"},{"type":"function","title":"SpellChecker.is_correct/1","doc":"`is_correct/1`\n  This function checks if a single word is correct.\n\n  Parameters:\n\n  word (string): A word to check.\n\n  Returns: A tuple indicating if the word is correct.","ref":"SpellChecker.html#is_correct/1"},{"type":"function","title":"Examples - SpellChecker.is_correct/1","doc":"iex> SpellChecker.is_correct(\"hello\")\n    {:ok, true}\n    iex> SpellChecker.is_correct(\"worlld\")\n    {:none, false}","ref":"SpellChecker.html#is_correct/1-examples"},{"type":"function","title":"SpellChecker.is_correct!/2","doc":"`is_correct!/2`\nThis function checks if a single word is correct and provides suggestions if it is not.\n\nParameters:\n\n`word` (string): A word to check.\n`suggest` (integer, optional): The number of suggestions to return (defaults to 5).","ref":"SpellChecker.html#is_correct!/2"},{"type":"function","title":"Examples - SpellChecker.is_correct!/2","doc":"iex> SpellChecker.is_correct!(\"hello\")\n    {:ok, true}\n    iex> SpellChecker.is_correct!(\"worlld\", 5)\n    [\"unworldly\", \"worldling\", \"word\", \"world\", \"worldly\"]","ref":"SpellChecker.html#is_correct!/2-examples"},{"type":"function","title":"SpellChecker.is_correct?/2","doc":"`is_correct?/2`\n  This function checks if a list of words are correct and returns a list of the correct words.\n\n  Parameters:\n\n  `word_list` (list): A list of words to check.\n  `acc` (list, optional): An accumulator for correct words (used internally, defaults to an empty list).\n\n  Returns: A list of correct words.","ref":"SpellChecker.html#is_correct?/2"},{"type":"function","title":"Examples - SpellChecker.is_correct?/2","doc":"iex> words = [\"hello\", \"worlld\", \"Programming\"]\n    iex> SpellChecker.is_correct?(words)\n    [\"Programming\", \"hello\"]","ref":"SpellChecker.html#is_correct?/2-examples"},{"type":"extras","title":"SpellChecker","doc":"# SpellChecker\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - SpellChecker","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `spell_checker` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:spell_checker, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}